Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JCheckBoxMenuItem

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.AbstractButton
                              |
                              +--javax.swing.JMenuItem
                                    |
                                    +--javax.swing.JCheckBoxMenuItem

public class JCheckBoxMenuItem
extends JMenuItem
implements SwingConstants, Accessible

A menu item that can be selected or deselected. If selected, the menu item typically appears with a checkmark next to it. If unselected or deselected, the menu item appears without a checkmark. Like a regular menu item, a checkbox menu item can have either text or a graphic icon associated with it, or both.

Either `isSelected`/`setSelected` or `getState`/`setState` can be used to determine/specify the menu item's selection state. (The Swing-standard methods are `isSelected` and `setSelected`. These methods work for all menus and buttons. The `getState` and `setState` methods exist for compatibility with other component sets.)

For the keyboard keys used by this component in the standard Look and Feel (L&F) renditions, see the JCheckBoxMenuItem key assignments.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Inner Class Summary
`protected class` | `JCheckBoxMenuItem.AccessibleJCheckBoxMenuItem` The class used to obtain the accessible role for this object.

Inner classes inherited from class javax.swing.JMenuItem
`JMenuItem.AccessibleJMenuItem`

Inner classes inherited from class javax.swing.AbstractButton
`AbstractButton.AccessibleAbstractButton, AbstractButton.ButtonChangeListener`

Inner classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Fields inherited from class javax.swing.AbstractButton
`actionListener, BORDER_PAINTED_CHANGED_PROPERTY, changeEvent, changeListener, CONTENT_AREA_FILLED_CHANGED_PROPERTY, DISABLED_ICON_CHANGED_PROPERTY, DISABLED_SELECTED_ICON_CHANGED_PROPERTY, FOCUS_PAINTED_CHANGED_PROPERTY, HORIZONTAL_ALIGNMENT_CHANGED_PROPERTY, HORIZONTAL_TEXT_POSITION_CHANGED_PROPERTY, ICON_CHANGED_PROPERTY, itemListener, MARGIN_CHANGED_PROPERTY, MNEMONIC_CHANGED_PROPERTY, model, MODEL_CHANGED_PROPERTY, PRESSED_ICON_CHANGED_PROPERTY, ROLLOVER_ENABLED_CHANGED_PROPERTY, ROLLOVER_ICON_CHANGED_PROPERTY, ROLLOVER_SELECTED_ICON_CHANGED_PROPERTY, SELECTED_ICON_CHANGED_PROPERTY, TEXT_CHANGED_PROPERTY, VERTICAL_ALIGNMENT_CHANGED_PROPERTY, VERTICAL_TEXT_POSITION_CHANGED_PROPERTY`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`JCheckBoxMenuItem()` Creates an initially unselected checkboxMenuItem with no set text or icon.
`JCheckBoxMenuItem(Icon icon)` Creates an initially unselected checkboxMenuItem with an icon.
`JCheckBoxMenuItem(java.lang.String text)` Creates an initially unselected checkboxMenuItem with text.
`JCheckBoxMenuItem(java.lang.String text, boolean b)` Creates a checkboxMenuItem with the specified text and selection state.
`JCheckBoxMenuItem(java.lang.String text, Icon icon)` Creates an initially unselected checkboxMenuItem with the specified text and icon.
`JCheckBoxMenuItem(java.lang.String text, Icon icon, boolean b)` Creates a checkboxMenuItem with the specified text, icon, and selection state.

Method Summary
`AccessibleContext` | `getAccessibleContext()` Get the AccessibleContext associated with this JComponent
`java.lang.Object[]` | `getSelectedObjects()` Returns an array (length 1) containing the checkbox menu item label or null if the checkbox is not selected.
`boolean` | `getState()` Returns the selected-state of the item.
`java.lang.String` | `getUIClassID()` Returns the name of the L&F class that renders this component.
`protected void` | `init(java.lang.String text, Icon icon)`
`protected java.lang.String` | `paramString()` Returns a string representation of this JCheckBoxMenuItem.
`void` | `requestFocus()` Override `JComponent.requestFocus()` to prevent grabbing the focus.
`void` | `setState(boolean b)` Sets the selected-state of the item.
`void` | `updateUI()` Notification from the UIFactory that the L&F has changed.

Methods inherited from class javax.swing.JMenuItem
`addMenuDragMouseListener, addMenuKeyListener, fireMenuDragMouseDragged, fireMenuDragMouseEntered, fireMenuDragMouseExited, fireMenuDragMouseReleased, fireMenuKeyPressed, fireMenuKeyReleased, fireMenuKeyTyped, getAccelerator, getComponent, getSubElements, isArmed, menuSelectionChanged, processKeyEvent, processMenuDragMouseEvent, processMenuKeyEvent, processMouseEvent, removeMenuDragMouseListener, removeMenuKeyListener, setAccelerator, setArmed, setEnabled, setUI`

Methods inherited from class javax.swing.AbstractButton
`addActionListener, addChangeListener, addItemListener, checkHorizontalKey, checkVerticalKey, createActionListener, createChangeListener, createItemListener, doClick, doClick, fireActionPerformed, fireItemStateChanged, fireStateChanged, getActionCommand, getDisabledIcon, getDisabledSelectedIcon, getHorizontalAlignment, getHorizontalTextPosition, getIcon, getLabel, getMargin, getMnemonic, getModel, getPressedIcon, getRolloverIcon, getRolloverSelectedIcon, getSelectedIcon, getText, getUI, getVerticalAlignment, getVerticalTextPosition, isBorderPainted, isContentAreaFilled, isFocusPainted, isRolloverEnabled, isSelected, paintBorder, removeActionListener, removeChangeListener, removeItemListener, setActionCommand, setBorderPainted, setContentAreaFilled, setDisabledIcon, setDisabledSelectedIcon, setFocusPainted, setHorizontalAlignment, setHorizontalTextPosition, setIcon, setLabel, setMargin, setMnemonic, setMnemonic, setModel, setPressedIcon, setRolloverEnabled, setRolloverIcon, setRolloverSelectedIcon, setSelected, setSelectedIcon, setText, setUI, setVerticalAlignment, setVerticalTextPosition`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintChildren, paintComponent, paintImmediately, paintImmediately, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, getBackground, getBounds, getColorModel, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isEnabled, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setCursor, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JCheckBoxMenuItem

    public JCheckBoxMenuItem()

  Creates an initially unselected checkboxMenuItem with no set text or icon.

### JCheckBoxMenuItem

    public JCheckBoxMenuItem(Icon icon)

  Creates an initially unselected checkboxMenuItem with an icon.
  Parameters:
    `icon` - the icon of the CheckBoxMenuItem.

### JCheckBoxMenuItem

    public JCheckBoxMenuItem(java.lang.String text)

  Creates an initially unselected checkboxMenuItem with text.
  Parameters:
    `text` - the text of the CheckBoxMenuItem

### JCheckBoxMenuItem

    public JCheckBoxMenuItem(java.lang.String text,
                             Icon icon)

  Creates an initially unselected checkboxMenuItem with the specified text and icon.
  Parameters:
    `text` - the text of the CheckBoxMenuItem
    `icon` - the icon of the CheckBoxMenuItem

### JCheckBoxMenuItem

    public JCheckBoxMenuItem(java.lang.String text,
                             boolean b)

  Creates a checkboxMenuItem with the specified text and selection state.
  Parameters:
    `text` - the text of the CheckBoxMenuItem.
    `b` - the selected state of the checkboxmenuitem

### JCheckBoxMenuItem

    public JCheckBoxMenuItem(java.lang.String text,
                             Icon icon,
                             boolean b)

  Creates a checkboxMenuItem with the specified text, icon, and selection state.
  Parameters:
    `text` - the text of the CheckBoxMenuItem
    `icon` - the icon of the CheckBoxMenuItem
    `b` - the selected state of the checkboxmenuitem

Method Detail

### init

    protected void init(java.lang.String text,
                        Icon icon)

  Overrides:
    init in class JMenuItem

### updateUI

    public void updateUI()

  Notification from the UIFactory that the L&F has changed.
  Overrides:
    updateUI in class JMenuItem
  See Also:
    `JComponent.updateUI()`

### getUIClassID

    public java.lang.String getUIClassID()

  Returns the name of the L&F class that renders this component.
  Returns:
    "CheckBoxMenuItemUI"
  Overrides:
    getUIClassID in class JMenuItem
  See Also:
    `JComponent.getUIClassID()`, `UIDefaults.getUI(javax.swing.JComponent)`

### getState

    public boolean getState()

  Returns the selected-state of the item. This method exists for AWT compatibility only. New code should use isSelected() instead.
  Returns:
    true if the item is selected

### setState

    public void setState(boolean b)

  Sets the selected-state of the item. This method exists for AWT compatibility only. New code should use setSelected() instead.
  Parameters:
    `b` - a boolean value indicating the item's selected-state, where true=selected

### getSelectedObjects

    public java.lang.Object[] getSelectedObjects()

  Returns an array (length 1) containing the checkbox menu item label or null if the checkbox is not selected.
  Returns:
    an array containing 1 Object -- the text of the menu item -- if the item is selected, otherwise null
  Overrides:
    getSelectedObjects in class AbstractButton

### requestFocus

    public void requestFocus()

  Override `JComponent.requestFocus()` to prevent grabbing the focus.
  Overrides:
    requestFocus in class JComponent

### paramString

    protected java.lang.String paramString()

  Returns a string representation of this JCheckBoxMenuItem. This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations. The returned string may be empty but may not be `null`.

  Overriding paramString() to provide information about the specific new aspects of the JFC components.

  Returns:
    a string representation of this JCheckBoxMenuItem.
  Overrides:
    paramString in class JMenuItem

### getAccessibleContext

    public AccessibleContext getAccessibleContext()

  Get the AccessibleContext associated with this JComponent
  Specified by:
    getAccessibleContext in interface Accessible
  Returns:
    the AccessibleContext of this JComponent
  Overrides:
    getAccessibleContext in class JMenuItem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.